services:
  jasper-reports:
    build: .
    ports:
      - "8080:8080"
    volumes:
      # - ./jasper_reports/build:/usr/src/app/build
      - ./compiled_war:/app/compiled_war
      # - ./dist:/app/dist
      - ./web/reports:/usr/local/tomcat/webapps/app/web/reports
    restart: always
  # jasper-war-builder:
  #   build:
  #     context: .
  #     target: builder
  #   volumes:
  #     - ./dist:/app/dist

  # # This service runs the actual Tomcat application
  # jasper-reports:
  #   build:
  #     context: .
  #   ports:
  #     - "8080:8080"
  #   volumes:
  #     - ./web/reports:/usr/local/tomcat/webapps/app/web/reports
  #   depends_on:
  #     - jasper-war-builder
  #   restart: always